/* To place a PRM program object onto the OS/2 Desktop */

call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
signal on syntax name NoREXX
call SysLoadFuncs
signal off syntax
signal on halt
'@echo off'

parse source temp
parse var temp . . temp
temp=reverse(temp)
parse var temp . "\" temp
source=reverse(temp)
if stream(source'\postroad.exe','c','query exists')='' then do
   say
   say "Install.cmd and Postroad.exe must be together in the same directory."
   exit
end

class='WPProgram'
title='Post Road^Mailer'
loc='<WP_DESKTOP>'
strings='ObjectID=<PostRoadMailer>;'
strings=strings||'ExeName='source'\POSTROAD.EXE;'
strings=strings||'StartUpDir='source';'
strings=strings||'IconFile='source'\POSTROAD.ICO;'
call SysCreateObject class,title,loc,strings,'U'
say ""
say "Installation complete.  Doubleclick on the new Desktop"
say "object or type POSTROAD, while in the" source
say "directory, to start the Post Road Mailer."
say ""
exit

Halt:
say ''
say 'INSTALL interrupted by Ctrl-C.'
say ''
exit

NoREXX:
say ''
say 'Unable to load the REXXUtil functions. Either the REXXUTIL.DLL file is not'
say 'on the LIBPATH or REXX support is not installed on this system.'
say ''
exit
